# ########################################################
# non latin symbols shouldn't be in first 256 byte block #
# ########################################################

%define pkgname wxpere
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 0

name:      wxpere
summary:   wxpere - wxWidgets GUI for Pere multilanguage translator.
Summary(uk_UA.CP1251): wxpere - wxWidgets GUI    
Summary(ru_RU.CP1251): wxpere - wxWidgets GUI    
version:   0.2.0
release:   1.fc4.val
vendor:    Valentyn Solomko <val@pere.org.ua>
packager:  Valentyn Solomko <val@pere.org.ua>
license:   Artistic or GPL
group:     Text tools
url:       http://pere.org.ua/
buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
buildarch: noarch
prefix:    %(echo %{_prefix})
source:    http://pere.org.ua/dwn/src/wxpere-0.2.0.tar.gz

buildrequires: perl-Wx >= 0.22, perl-Lingua-Pere >= 0.2.0

%description
wxWidgets Graphical User Interface for Pere multilanguage translator.

%description -l uk_UA.CP1251
   wxWidgets    

%description -l ru_RU.CP1251
   wxWidgets    

%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
export DISPLAY=:0.0
grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '`
%{__make} 
%if %maketest
%{__make} test
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{__install} -Dp -m0644 eg/%{pkgname}.xpm %{buildroot}%{_datadir}/pixmaps/%{pkgname}.xpm

mkdir -p %{buildroot}%{_prefix}/share/applications
desktop-file-install --vendor fedora --delete-original \
	--dir %{buildroot}%{_prefix}/share/applications \
	--add-category "Application;Office;X-Red-Hat-Extra" \
	eg/%{pkgname}.desktop

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

cmd=/usr/share/spec-helper/compress_files
[ -x $cmd ] || cmd=/usr/lib/rpm/brp-compress
[ -x $cmd ] && $cmd

# SuSE Linux
if [ -e /etc/SuSE-release -o -e /etc/UnitedLinux-release ]
then
    %{__mkdir_p} %{buildroot}/var/adm/perl-modules
    %{__cat} `find %{buildroot} -name "perllocal.pod"`  \
        | %{__sed} -e s+%{buildroot}++g                 \
        > %{buildroot}/var/adm/perl-modules/%{name}
fi

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%{__perl} -MFile::Find -le '
    find({ wanted => \&wanted, no_chdir => 1}, "%{buildroot}");
    print "%doc eg Changes README";
    for my $x (sort @dirs, @files) {
        push @ret, $x unless indirs($x);
        }
    print join "\n", sort @ret;

    sub wanted {
        return if /auto$/;

        local $_ = $File::Find::name;
        my $f = $_; s|^\Q%{buildroot}\E||;
        return unless length;
        return $files[@files] = $_ if -f $f;

        $d = $_;
        /\Q$d\E/ && return for reverse sort @INC;
        $d =~ /\Q$_\E/ && return
            for qw|/etc %_prefix/man %_prefix/bin %_prefix/share|;

        $dirs[@dirs] = $_;
        }

    sub indirs {
        my $x = shift;
        $x =~ /^\Q$_\E\// && $x ne $_ && return 1 for @dirs;
        }
    ' > %filelist

[ -z %filelist ] && {
    echo "ERROR: empty %files listing"
    exit -1
    }

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %filelist
%defattr(-,root,root)

%changelog
* Sat Jun  3 2006 Valentyn Solomko <val@pere.org.ua>
- rebuilt after some corrections

* Wed May 31 2006 Valentyn Solomko <val@pere.org.ua>
- Spec file was autogenerated by cpan2rpm [ver: 2.028]. 
